io.undertow.server

## Class ListenerRegistry

- java.lang.Object
- - io.undertow.server.ListenerRegistry

    public class ListenerRegistry
    extends Object

A registry of listeners, and the services that are exposed via these listeners. This is not used directly by Undertow, but can be used by embedding applications to track listener metadata.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `ListenerRegistry.HttpUpgradeMetadata`
`static class` `ListenerRegistry.Listener`

### Constructor Summary

Constructors
Constructor and Description
`ListenerRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ListenerRegistry.Listener listener)`
`ListenerRegistry.Listener` `getListener(String name)`
`void` `removeListener(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListenerRegistry

    public ListenerRegistry()

### Method Detail

#### getListener

    public ListenerRegistry.Listener getListener(String name)

#### addListener

    public void addListener(ListenerRegistry.Listener listener)

#### removeListener

    public void removeListener(String name)